# This pastes together two BEAST XML fragments which sandwich a data section made by 
# Utils\mccoal-seqs-to-xml.R. 



this.directory <- "C:/Users/GRJ/AAA/Programming/Biology/DENIMSimulations/Leache-TenSpp"

source("C:/Users/GRJ/AAA/Programming/Biology/DENIMSimulations/Utils/scenario-dir-names.R")
source("C:/Users/GRJ/AAA/Programming/Biology/DENIMSimulations/Utils/mccoal-seqs-to-xml.R")



# 
xml.before.data <- readLines(paste0(this.directory, "/", "before-data-10spp.xml"))
xml.after.data.005          <-  readLines(paste0(this.directory, "/", "after-data-10spp-0p005.xml"))
xml.after.data.01          <-  readLines(paste0(this.directory, "/", "after-data-10spp-0p01.xml"))
xml.after.data.02          <-  readLines(paste0(this.directory, "/", "after-data-10spp-0p02.xml"))
xml.after.data.04          <-  readLines(paste0(this.directory, "/", "after-data-10spp-0p04.xml"))
xml.after.data.08          <-  readLines(paste0(this.directory, "/", "after-data-10spp-0p08.xml"))
xml.after.data.16          <-  readLines(paste0(this.directory, "/", "after-data-10spp-0p16.xml"))
# 


make.one.BEASTXML <- function(dpath, xad) {
		# write start of the BEAST XML
	sink(paste0(dpath, "/beast.xml"))
	for (i in 1:length(xml.before.data)) {
		cat(xml.before.data[i], "\n")
	}
	
	# write data for the BEAST XML
	convert.mccoal.xml(paste0(dpath, "/seq.txt"))
	
	
	for (i in 1:length(xad)) {
		cat(xad[i], "\n")
	}
	
	sink(NULL)
}



for (rep in first.replicate:last.replicate) {
	dpath <- beast.dir.from.scenario.dir.and.rep("COAL005", rep)
	xad <- xml.after.data.005
	make.one.BEASTXML(dpath, xad)

	dpath <- beast.dir.from.scenario.dir.and.rep("COAL01", rep)
	xad <- xml.after.data.01
	make.one.BEASTXML(dpath, xad)

	dpath <- beast.dir.from.scenario.dir.and.rep("COAL02", rep)
	xad <- xml.after.data.02
	make.one.BEASTXML(dpath, xad)
	
	dpath <- beast.dir.from.scenario.dir.and.rep("COAL04", rep)
	xad <- xml.after.data.04
	make.one.BEASTXML(dpath, xad)
	
	dpath <- beast.dir.from.scenario.dir.and.rep("COAL08", rep)
	xad <- xml.after.data.08
	make.one.BEASTXML(dpath, xad)
	
	dpath <- beast.dir.from.scenario.dir.and.rep("COAL16", rep)
	xad <- xml.after.data.16
	make.one.BEASTXML(dpath, xad)
	
	cat("Done BEAST XMLs for COAL", "\n")
}




