

top.level.directory <- "C:/Users/GRJ/AAA/ProgramOutput/DENIM//DENIM-Leache4spp-July17"

beast.jar <- "C:/Users/GRJ/AAA/software/BEAST246/lib/beast.jar"

first.replicate <- 1
last.replicate <- 25





scenario.rep.dir <- function(scenario.dir, rep) {
  paste0(top.level.directory, "/", scenario.dir, "/", "rep", sprintf("%03d", rep))
}


beast.command.one.scenario.one.rep <- function(scenario.dir, rep) {
  working.dir <- scenario.rep.dir(scenario.dir, rep)
  paste0("java -jar ", beast.jar, " -working -overwrite ", working.dir, "/beast.xml")
  }



sink(paste0(top.level.directory, "/", "R1-25-BEAST-scens1-6.BAT"))
for (rep in first.replicate:last.replicate) {
  for (i in 1:6) {
      cat(beast.command.one.scenario.one.rep(fourspp.all.scenario.dirs[i], rep), "\n")
  }
}
cat("\nPAUSE\n")
sink(NULL)


sink(paste0(top.level.directory, "/", "R1-25-BEAST-scens7-12.BAT"))
for (rep in first.replicate:last.replicate) {
  for (i in 7:12) {
    cat(beast.command.one.scenario.one.rep(fourspp.all.scenario.dirs[i], rep), "\n")
  }
}
cat("\nPAUSE\n")
sink(NULL)


sink(paste0(top.level.directory, "/", "R1-25-BEAST-scens13-17.BAT"))
for (rep in first.replicate:last.replicate) {
  for (i in 13:17) {
    cat(beast.command.one.scenario.one.rep(fourspp.all.scenario.dirs[i], rep), "\n")
  }
}
cat("\nPAUSE\n")
sink(NULL)













